Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.model
Class CommentShape

    java.lang.Object
      org.apache.poi.hssf.model.AbstractShape
          org.apache.poi.hssf.model.TextboxShape
              org.apache.poi.hssf.model.CommentShape

    public final class CommentShape

extends TextboxShape

Represents a cell comment. This class converts highlevel model data from `HSSFComment` to low-level records.

Author:
  Yegor Kozlov

Constructor Summary
`CommentShape(HSSFComment hssfShape, int shapeId)` Creates the low-level records for a comment.

Method Summary
`protected int` | `addStandardOptions(HSSFShape shape, EscherOptRecord opt)` Sets standard escher options for a comment.
`NoteRecord` | `getNoteRecord()` Return the `NoteRecord` holding the comment attributes

Methods inherited from class org.apache.poi.hssf.model.TextboxShape
`getEscherTextbox, getObjRecord, getSpContainer, getTextObjectRecord`

Methods inherited from class org.apache.poi.hssf.model.AbstractShape
`createAnchor, createShape`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommentShape

    public CommentShape(HSSFComment hssfShape,
                        int shapeId)

  Creates the low-level records for a comment.

  Parameters:
    `hssfShape` - The highlevel shape.
    `shapeId` - The shape id to use for this shape.

Method Detail

### addStandardOptions

    protected int addStandardOptions(HSSFShape shape,
                                     EscherOptRecord opt)

  Sets standard escher options for a comment. This method is responsible for setting default background, shading and other comment properties.

  Overrides:
    `addStandardOptions` in class `AbstractShape`
  Parameters:
    `shape` - The highlevel shape.
    `opt` - The escher records holding the proerties
  Returns:
    number of escher options added

### getNoteRecord

    public NoteRecord getNoteRecord()

  Return the `NoteRecord` holding the comment attributes

  Returns:
    `NoteRecord` holding the comment attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.